<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: marmottant.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_1563a38af0d3a5e4a6330d6d45e9792a.html">tools</a></li><li class="navelem"><a class="el" href="dir_b520d1ab1ec20b7fc47acdc53c2a8486.html">init_flow_old</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">marmottant.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacemarmottant"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html">marmottant</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ae56a8c7c266582221fb38c0707cd1b81"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="marmottant_8f90.html#ae56a8c7c266582221fb38c0707cd1b81">marmottant_grid</a></td></tr>
<tr class="separator:ae56a8c7c266582221fb38c0707cd1b81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecd6d5d3b62c8fdfa0d1cff8b5196747"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="marmottant_8f90.html#aecd6d5d3b62c8fdfa0d1cff8b5196747">marmottant_data</a></td></tr>
<tr class="separator:aecd6d5d3b62c8fdfa0d1cff8b5196747"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae2c67a36d95785257d05dca86ce33fd6"><td class="memItemLeft" align="right" valign="top">real(wp), parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#ae2c67a36d95785257d05dca86ce33fd6">marmottant::d</a> = 7.6e-3_WP</td></tr>
<tr class="separator:ae2c67a36d95785257d05dca86ce33fd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8abb9b720757a0ae6bdc6a0dc179c5c3"><td class="memItemLeft" align="right" valign="top">real(wp), parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#a8abb9b720757a0ae6bdc6a0dc179c5c3">marmottant::r1</a> = 3.8e-3_WP</td></tr>
<tr class="separator:a8abb9b720757a0ae6bdc6a0dc179c5c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace1ab6c7bde610ab0cf17a3daf9e654b"><td class="memItemLeft" align="right" valign="top">real(wp), parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#ace1ab6c7bde610ab0cf17a3daf9e654b">marmottant::r2</a> = 4.0e-3_WP</td></tr>
<tr class="separator:ace1ab6c7bde610ab0cf17a3daf9e654b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7528376a94783ad31e385b1cee30de20"><td class="memItemLeft" align="right" valign="top">real(wp), parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#a7528376a94783ad31e385b1cee30de20">marmottant::r3</a> = 5.7e-3_WP</td></tr>
<tr class="separator:a7528376a94783ad31e385b1cee30de20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a532acc52502aa667acc4c98776043869"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#a532acc52502aa667acc4c98776043869">marmottant::lx</a></td></tr>
<tr class="separator:a532acc52502aa667acc4c98776043869"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdcf7c50dec236c0c0b83148ec35299d"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#afdcf7c50dec236c0c0b83148ec35299d">marmottant::ly</a></td></tr>
<tr class="separator:afdcf7c50dec236c0c0b83148ec35299d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5415b862a10bb9522d0aa285b5084140"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#a5415b862a10bb9522d0aa285b5084140">marmottant::lz</a></td></tr>
<tr class="separator:a5415b862a10bb9522d0aa285b5084140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab98f2ef6e0553e85c58e958858e200cd"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#ab98f2ef6e0553e85c58e958858e200cd">marmottant::lp</a></td></tr>
<tr class="separator:ab98f2ef6e0553e85c58e958858e200cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48310235944eb883724fcca6b32c61fa"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#a48310235944eb883724fcca6b32c61fa">marmottant::dx</a></td></tr>
<tr class="separator:a48310235944eb883724fcca6b32c61fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a728d974daa3eddd6e149d12020ef740b"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#a728d974daa3eddd6e149d12020ef740b">marmottant::u</a></td></tr>
<tr class="separator:a728d974daa3eddd6e149d12020ef740b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10f209a73145388094c0d792efe9cd6f"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#a10f209a73145388094c0d792efe9cd6f">marmottant::v</a></td></tr>
<tr class="separator:a10f209a73145388094c0d792efe9cd6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfcbb39feb5f806d7a1c02eccc453355"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#adfcbb39feb5f806d7a1c02eccc453355">marmottant::w</a></td></tr>
<tr class="separator:adfcbb39feb5f806d7a1c02eccc453355"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a6a37182a4d5eef9a9925631fa78172"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#a5a6a37182a4d5eef9a9925631fa78172">marmottant::p</a></td></tr>
<tr class="separator:a5a6a37182a4d5eef9a9925631fa78172"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34bc10e792c949989897a9f8559b3039"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemarmottant.html#a34bc10e792c949989897a9f8559b3039">marmottant::g</a></td></tr>
<tr class="separator:a34bc10e792c949989897a9f8559b3039"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="aecd6d5d3b62c8fdfa0d1cff8b5196747"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecd6d5d3b62c8fdfa0d1cff8b5196747">&#9670;&nbsp;</a></span>marmottant_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine marmottant_data </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacemarmottant.html#a34bc10e792c949989897a9f8559b3039">marmottant::g</a>, <a class="el" href="namespacebosch__chamber.html#a37a98dbd702c4db10be66942e0db81d5">bosch_chamber::p</a>, <a class="el" href="namespaceparser.html#a3ecbdeea55934b3994e9f7028fe7334f">parser::parser_is_defined()</a>, <a class="el" href="namespacemarmottant.html#a8abb9b720757a0ae6bdc6a0dc179c5c3">marmottant::r1</a>, <a class="el" href="namespacemarmottant.html#ace1ab6c7bde610ab0cf17a3daf9e654b">marmottant::r2</a>, <a class="el" href="namespacemarmottant.html#a7528376a94783ad31e385b1cee30de20">marmottant::r3</a>, <a class="el" href="namespacebosch__chamber.html#a49571ceb741d1b130191d2bdb06af042">bosch_chamber::u</a>, <a class="el" href="namespacebosch__chamber.html#a6f7fe2c8f274406d204dd5230c2bc3ef">bosch_chamber::v</a>, and <a class="el" href="namespacebosch__chamber.html#ad4aa387322284505b31af71ab555b026">bosch_chamber::w</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="marmottant_8f90_aecd6d5d3b62c8fdfa0d1cff8b5196747_cgraph.png" border="0" usemap="#marmottant_8f90_aecd6d5d3b62c8fdfa0d1cff8b5196747_cgraph" alt=""/></div>
<map name="marmottant_8f90_aecd6d5d3b62c8fdfa0d1cff8b5196747_cgraph" id="marmottant_8f90_aecd6d5d3b62c8fdfa0d1cff8b5196747_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#a3ecbdeea55934b3994e9f7028fe7334f" title="parser::parser_is_defined" alt="" coords="173,148,341,175"/>
<area shape="rect" id="node3" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="389,148,516,175"/>
<area shape="rect" id="node4" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="587,5,731,32"/>
<area shape="rect" id="node5" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="581,56,736,83"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="588,107,729,149"/>
<area shape="rect" id="node7" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="576,173,741,214"/>
<area shape="rect" id="node8" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="564,239,753,265"/>
<area shape="rect" id="node9" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="577,289,741,316"/>
</map>
</div>

</div>
</div>
<a id="ae56a8c7c266582221fb38c0707cd1b81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae56a8c7c266582221fb38c0707cd1b81">&#9670;&nbsp;</a></span>marmottant_grid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine marmottant_grid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacemarmottant.html#ae2c67a36d95785257d05dca86ce33fd6">marmottant::d</a>, <a class="el" href="namespaceignition.html#a6441a1a9c267f8a65b0f9570a0165489">ignition::dx</a>, <a class="el" href="namespacemarmottant.html#ab98f2ef6e0553e85c58e958858e200cd">marmottant::lp</a>, <a class="el" href="namespacebosch__chamber.html#a9ee18976bd6d940f337a1b0ad810937a">bosch_chamber::ly</a>, <a class="el" href="namespacebosch__chamber.html#a650f06ad2b94444162dfb1c73a618d58">bosch_chamber::lz</a>, <a class="el" href="namespacemarmottant.html#a8abb9b720757a0ae6bdc6a0dc179c5c3">marmottant::r1</a>, <a class="el" href="namespacemarmottant.html#ace1ab6c7bde610ab0cf17a3daf9e654b">marmottant::r2</a>, <a class="el" href="namespacemarmottant.html#a7528376a94783ad31e385b1cee30de20">marmottant::r3</a>, and <a class="el" href="namespacemath.html#a81187dd7f6cf5dd4b01a46518dfb6de0">math::twopi</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jul 13 2020 22:28:00 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
